Segment 5 Intelligente Analyseverfahren (IAV), SWE Straßensubsegmentanalyse
===========================================================================

## Übersicht

In der Straßensubsegmentanalyse wird unter Einsatz von Fuzzy-Methoden ein
linguistischer Messquerschnitts- und Straßenteilsegmentzustand abgeleitet. Dazu
werden aus den Mess- und Modellgrößen verschiedene Zustände bestimmt (z. B. eine
Reisegeschwindigkeit "mittel" oder eine lokale Verkehrslage "Stau"). Der
Benutzer kann im späteren Einsatz die Zugehörigkeitsfunktionen von Verkehrs- und
Umfelddaten ändern. Ausgaben der Straßensubsegmentanalyse sind u. a.
fuzzyfizierte lokale Verkehrslagen z. B. für eine grafische Darstellung oder als
Eingang für die Umfassende Datenanalyse.

## Start der Applikation

Es wird eine Batchdatei mitgeliefert, die als Vorlage für ein Startskript dienen
kann. Im ersten Abschnitt müssen die beiden Skriptparameter -classpath und
-objekte angepasst werden. -classpath muss auf die folgenden benötigten
Bibliotheken verweisen:

 - kernsoftware-bibliothek.jar
 - de.bsvrz.sys.funclib.jar
 - de.bsvrz.iav.fuzzylib.jar
 - de.bsvrz.iav.subsegana.jar

Der Parameter -objekte ist eine kommagetrennte Liste der Systemobjekte, die
von der Straßensubsegmentanalyse verarbeitet werden sollen. Erlaubt sind hier
die PIDs von:

 - Messquerschnitte
 - Straßenteilsegmente
 - Umfelddatensensoren
 - Umfelddatenmessstellen
 - und natürlich Konfigurationsbereiche

In Beziehung stehende Messquerschnitte und Straßenteilsegmente bzw.
Umfelddatensensoren und Umfelddatenmessstellen müssen jeweils im selben
Konfigurationsbereich modelliert sein.

Mit dem optionalen Parameter -gui wird eine grafische Oberfläche gestartet, mit
der die Grundfunktionen der Applikation überwacht werden können. Die Oberfläche
kann geschlossen werden, ohne die Straßensubsegmentanalyse zu beenden, sie kann
jedoch nicht nachträglich gestartet werden. Die Oberfläche kann folgende
Informationen darstellen:

 - Liste der verwalteten Systemobjekte, wie sich aus den Aufrufparameter ergeben
 - Die linguistischen Variablen (Fuzzy-Sets)
 - Die Regeln der Wissensbasen
 - Änderung von Parametern (Fuzzy-Sets)
 - Die generierte Fuzzy-Werte, die fuzzyfiziert oder abgeleitet wurden


## Hinweise

- Die Straßensubsegmenteanalyse ab Version 1.0.1 benutzt die neue
  Parameterierung für die Durchführung der Tests laut Prüfspezifikation.


## Disclaimer

Segment 5 Intelligente Analyseverfahren (IAV), SWE Straßensubsegmentanalyse

Copyright (C) 2007 BitCtrl Systems GmbH 

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 51
Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.


Kontakt
=======

BitCtrl Systems GmbH<br>
Weißenfelser Straße 67<br>
04229 Leipzig<br>
Phone: +49 341-490670<br>
mailto: info@bitctrl.de<br>
